import pygame
from OpenGL.GL import *

print dir()

textures = []

class texture:
    def __init__(self,path):
        global textures
        surf = pygame.image.load(path)
        newtex = glGenTextures(1)
        glTexture2d(newtex,0,

def init():
    pygame.init()
    scr = pygame.display.set_mode([640,480],pygame.OPENGL|pygame.DOUBLEBUF)

    glMatrixMode(GL_PROJECTION)
    glLoadIdentity()
    glOrtho(0,640,0,480,0,1)
    glViewport(0,0,640,480)
    
    glEnable(GL_TEXTURE_2D)

class shape:
    def __init__(self,pos):
        self.pos = pos
    def draw(self):
        glLoadIdentity()
        glTranslate(*self.pos)
        self._draw()

class Tri(shape):
    def _draw(self):
        glBegin(GL_TRIANGLES)
        glColor3f(1,0,0)
        glVertex3f(0,0,0)
        glVertex3f(10,0,0)
        glVertex3f(10,10,0)
        glEnd()

class Quad(shape):
    def _draw(self):
        glBegin(GL_QUADS)
        glColor3f(1,0,0)
        glVertex3f(0,0,0)
        glVertex3f(10,0,0)
        glVertex3f(10,10,0)
        glVertex3f(0,10,0)
        glEnd()

class TexQuad(Quad):
    pass

scene = []
scene.append(Tri([0,0,0]))
scene.append(Quad([40,0,0]))

def draw():
    global trix
    glClearColor(0,0,1,0)
    glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT)
    glMatrixMode(GL_MODELVIEW)
    glLoadIdentity()

    for s in scene:
        s.draw()
        glLoadIdentity()

    pygame.display.flip()


init()
quit = 0
while not quit:
    draw()
    for evt in pygame.event.get():
        if evt.type == pygame.QUIT:
            quit = 1
        if evt.type == pygame.KEYDOWN:
            scene[0].pos[0]+=1
